Module modSuppe
    Public AlleBuchstaben As New ArrayList    '--
    Public AlleEingabeFelder As New ArrayList '--
    Public strBegriff As String     '-- gesuchter begriff
    Public intLang As Integer = 0   '-- anzahl buchstaben
    '-- Punkte
    Public intSpielRunde As Integer = 0
    Public intGesamtPunktZahl As Integer = 0
    Public intBonusPunkte As Integer = 0

    Public Sub Grundeinstellung()
        Dim i As Integer
        With Form1
            For i = 0 To 14
                AlleBuchstaben(i).Text = ""
                AlleEingabeFelder(i).Text = ""
                AlleEingabeFelder(i).Enabled = False
            Next
            .GrpAktion.Enabled = False
            .GrpEinsortieren.Enabled = False
            .LblP2.Text = "0" : .LblP3.Text = "0" : .LblP4.Text = "0"
            .LblP1.Text = "0" : .LblP2.Text = "0"
            .CmdBegriff.Text = "Erster &Begriff"
            .LblWarnung.Text = "Klicke auf > Erster Begriff <."
            .CmdBegriff.Select()
        End With
    End Sub
    Public Sub NeueSpielRunde()
        Dim i As Integer
        With Form1
            .LblWarnung.Text = "Klicke auf nächster Begriff"
            .LblWarnung.Text = ""
            .CmdBegriff.Text = "Nächster &Begriff"
            .LblInfo.Text = ""
            .CmdBegriff.Select()
            .GrpAktion.Enabled = False
            .GrpEinsortieren.Enabled = False
        End With
        For i = 0 To 14
            AlleEingabeFelder(i).Enabled = False
        Next

    End Sub
End Module
